Bug 212822 - mcstransd: bind() failed: Permission denied
mcstransd: bind() failed: Permission denied
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mcstrans (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 06:56 EST by Jurandy Junior
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 16:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurandy Junior 2006-10-29 06:56:57 EST
Description of problem:
mcstransd failed to down!

Version-Release number of selected component (if applicable):
[root@weise ~]# rpm -qa | grep mcstrans
mcstrans-0.1.8-3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@weise ~]# cat /var/log/messages | grep mcstransd
Oct 28 14:33:20 weise mcstransd: mcstransd starting
Oct 28 14:33:20 weise mcstransd: bind() failed: Permission denied

Expected results:
mcstrand down without errors!

Additional info:
no change was made in original rpm confs files!
Comment 1 Jurandy Junior 2006-10-31 07:15:25 EST
Hi,


More information about the error:
[root@weise jurandy]# cat /var/log/messages | grep mcstransd
Oct 30 05:48:31 weise mcstransd: mcstransd starting
Oct 30 05:48:31 weise mcstransd: bind() failed: Permission denied
Oct 30 05:48:36 weise kernel: audit(1162198111.933:9): avc:  denied  { associate
} for  pid=1821 comm="mcstransd" name=".setrans-unix"
scontext=system_u:object_r:unlabeled_t:s0 tcontext=system_u:object_r:fs_t:s0
tclass=filesystem
Oct 30 20:53:09 weise mcstransd: mcstransd starting
Oct 30 20:53:09 weise mcstransd: bind() failed: Permission denied
Oct 30 20:53:19 weise kernel: audit(1162252389.751:9): avc:  denied  { associate
} for  pid=1833 comm="mcstransd" name=".setrans-unix"
scontext=system_u:object_r:unlabeled_t:s0 tcontext=system_u:object_r:fs_t:s0
tclass=filesystem
Oct 30 21:37:05 weise mcstransd: mcstransd starting
Oct 30 21:37:06 weise mcstransd: bind() failed: Permission denied
Oct 30 21:37:09 weise kernel: audit(1162255026.160:10): avc:  denied  {
associate } for  pid=1886 comm="mcstransd" name=".setrans-unix"
scontext=system_u:object_r:unlabeled_t:s0 tcontext=system_u:object_r:fs_t:s0
tclass=filesystem
Oct 30 23:40:58 weise mcstransd: mcstransd starting
Oct 30 23:40:58 weise mcstransd: bind() failed: Permission denied
Oct 30 23:41:07 weise kernel: audit(1162262458.965:10): avc:  denied  {
associate } for  pid=1876 comm="mcstransd" name=".setrans-unix"
scontext=system_u:object_r:unlabeled_t:s0 tcontext=system_u:object_r:fs_t:s0
tclass=filesystem
Oct 30 23:57:26 weise mcstransd: mcstransd starting
Oct 30 23:57:27 weise mcstransd: mcstransd initialized


More information about how reproducible:
I upgraded (not reinstall) FC5 to FC6.

I updated kernel.586 (bug:anaconda) to kernel.686.

Kernel Version:
[root@weise ~]# uname -r
2.6.18-1.2798.fc6

I have selinux installed and running in enforcing mode.
[root@weise ~]# rpm -qa | grep selinux
selinux-policy-2.4.1-3.fc6
libselinux-devel-1.30.29-2
libselinux-1.30.29-2
libselinux-python-1.30.29-2

I believe this could be a selinux problem.

Thanks for your attention.

Regards,

Jurandy Junior
Comment 2 Daniel Walsh 2006-10-31 10:09:49 EST
What file system are you using?  
Comment 3 Daniel Walsh 2007-02-14 16:21:45 EST
No response closing.

Note You need to log in before you can comment on or make changes to this bug.